Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerScheduleInfo

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerScheduleInfo

All Implemented Interfaces:
  TCPIPServerScheduleInfoInterface

    public class TCPIPServerScheduleInfo

extends java.lang.Object
implements TCPIPServerScheduleInfoInterface

This class represents TCPIP Server Schedule configuration information.

Version:
  cvs revision: $Revision: 1.9 $ Last Modified: $Date: 2008/04/23 07:15:26 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerScheduleInfo()` Constructor for TCPIPServerScheduleInfo.
`TCPIPServerScheduleInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPServerScheduleInfo.

Method Summary
`protected Schedule` | `createMonitorSchedule()` Creates a Schedule instance for Monitor.
`protected Schedule` | `createWorkerSchedule()` Creates a Schedule instance for Worker.
`protected com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`TCPIPServerMonitorScheduleInfoInterface` | `getListenerScheduleInfo()`
`protected boolean` | `getMonitorAtFixedRate()` Returns the monitorAtFixedRate.
`protected long` | `getMonitorDelay()` Returns the monitorDelay.
`protected long` | `getMonitorPeriod()` Returns the monitorPeriod.
`protected java.lang.String` | `getMonitorScheduler()`
`protected java.lang.String` | `getMonitorScheduleType()`
`TCPIPServerWorkerScheduleInfoInterface` | `getServiceScheduleInfo()`
`protected boolean` | `getWorkerAtFixedRate()` Returns the workerAtFixedRate.
`protected long` | `getWorkerDelay()` Returns the workerDelay.
`protected long` | `getWorkerPeriod()` Returns the workerPeriod.
`protected java.lang.String` | `getWorkerScheduler()`
`protected java.lang.String` | `getWorkerScheduleType()`
`protected boolean` | `isMonitorAtFixedRate()` Returns the monitorAtFixedRate.
`protected boolean` | `isMonitorOneTimeScheduleType()`
`protected boolean` | `isMonitorRepeatedScheduleType()`
`protected boolean` | `isMonitorTimerServiceScheduler()`
`protected boolean` | `isMonitorWorkManagerScheduler()`
`protected boolean` | `isWorkerAtFixedRate()` Returns the workerAtFixedRate.
`protected boolean` | `isWorkerOneTimeScheduleType()`
`protected boolean` | `isWorkerRepeatedScheduleType()`
`protected boolean` | `isWorkerTimerServiceScheduler()`
`protected boolean` | `isWorkerWorkManagerScheduler()`
`void` | `setListenerScheduleInfo(TCPIPServerMonitorScheduleInfo info)`
`protected void` | `setMonitorAtFixedRate(boolean monitorAtFixedRate)` Sets the monitorAtFixedRate.
`protected void` | `setMonitorDelay(long monitorDelay)` Sets the monitorDelay.
`protected void` | `setMonitorPeriod(long monitorPeriod)` Sets the monitorPeriod.
`protected void` | `setMonitorScheduler(java.lang.String string)`
`protected void` | `setMonitorScheduleType(java.lang.String string)`
`void` | `setServiceScheduleInfo(TCPIPServerWorkerScheduleInfo info)`
`protected void` | `setWorkerAtFixedRate(boolean workerAtFixedRate)` Sets the workerAtFixedRate.
`protected void` | `setWorkerDelay(long workerDelay)` Sets the workerDelay.
`protected void` | `setWorkerPeriod(long workerPeriod)` Sets the workerPeriod.
`protected void` | `setWorkerScheduler(java.lang.String string)`
`protected void` | `setWorkerScheduleType(java.lang.String string)`
`void` | `validate()` Validates the scheduler configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerScheduleInfo

    public TCPIPServerScheduleInfo()
                            throws TCPIPApplicationException

  Constructor for TCPIPServerScheduleInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPServerScheduleInfo

    public TCPIPServerScheduleInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                            throws TCPIPApplicationException

  Constructor for TCPIPServerScheduleInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    protected com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### isMonitorAtFixedRate

    protected boolean isMonitorAtFixedRate()

  Returns the monitorAtFixedRate.

  Returns:
    boolean

### getMonitorAtFixedRate

    protected boolean getMonitorAtFixedRate()

  Returns the monitorAtFixedRate.

  Returns:
    boolean

### isWorkerAtFixedRate

    protected boolean isWorkerAtFixedRate()

  Returns the workerAtFixedRate.

  Returns:
    boolean

### getWorkerAtFixedRate

    protected boolean getWorkerAtFixedRate()

  Returns the workerAtFixedRate.

  Returns:
    boolean

### setMonitorAtFixedRate

    protected void setMonitorAtFixedRate(boolean monitorAtFixedRate)

  Sets the monitorAtFixedRate.

  Parameters:
    `monitorAtFixedRate` - The monitorAtFixedRate to set

### setWorkerAtFixedRate

    protected void setWorkerAtFixedRate(boolean workerAtFixedRate)

  Sets the workerAtFixedRate.

  Parameters:
    `workerAtFixedRate` - The workerAtFixedRate to set

### getMonitorDelay

    protected long getMonitorDelay()

  Returns the monitorDelay.

  Returns:
    long

### getMonitorPeriod

    protected long getMonitorPeriod()

  Returns the monitorPeriod.

  Returns:
    long

### getWorkerDelay

    protected long getWorkerDelay()

  Returns the workerDelay.

  Returns:
    long

### getWorkerPeriod

    protected long getWorkerPeriod()

  Returns the workerPeriod.

  Returns:
    long

### setMonitorDelay

    protected void setMonitorDelay(long monitorDelay)
                            throws TCPIPApplicationException

  Sets the monitorDelay.

  Parameters:
    `monitorDelay` - The monitorDelay to set
  Throws:
    `TCPIPApplicationException` - on error.

### setMonitorPeriod

    protected void setMonitorPeriod(long monitorPeriod)
                             throws TCPIPApplicationException

  Sets the monitorPeriod.

  Parameters:
    `monitorPeriod` - The monitorPeriod to set
  Throws:
    `TCPIPApplicationException` - on error.

### setWorkerDelay

    protected void setWorkerDelay(long workerDelay)
                           throws TCPIPApplicationException

  Sets the workerDelay.

  Parameters:
    `workerDelay` - The workerDelay to set
  Throws:
    `TCPIPApplicationException` - on error.

### setWorkerPeriod

    protected void setWorkerPeriod(long workerPeriod)
                            throws TCPIPApplicationException

  Sets the workerPeriod.

  Parameters:
    `workerPeriod` - The workerPeriod to set
  Throws:
    `TCPIPApplicationException` - on error.

### getMonitorScheduleType

    protected java.lang.String getMonitorScheduleType()

  Returns:
    String

### getWorkerScheduleType

    protected java.lang.String getWorkerScheduleType()

  Returns:
    String

### isMonitorOneTimeScheduleType

    protected boolean isMonitorOneTimeScheduleType()

  Returns:
    boolean

### isMonitorRepeatedScheduleType

    protected boolean isMonitorRepeatedScheduleType()

  Returns:
    boolean

### isWorkerOneTimeScheduleType

    protected boolean isWorkerOneTimeScheduleType()

  Returns:
    boolean

### isWorkerRepeatedScheduleType

    protected boolean isWorkerRepeatedScheduleType()

  Returns:
    boolean

### setMonitorScheduleType

    protected void setMonitorScheduleType(java.lang.String string)
                                   throws TCPIPApplicationException

  Parameters:
    `string` - the value to set
  Throws:
    `TCPIPApplicationException` - on error.

### setWorkerScheduleType

    protected void setWorkerScheduleType(java.lang.String string)
                                  throws TCPIPApplicationException

  Parameters:
    `string` - the value to set
  Throws:
    `TCPIPApplicationException` - on error.

### isMonitorTimerServiceScheduler

    protected boolean isMonitorTimerServiceScheduler()

  Returns:
    boolean

### isMonitorWorkManagerScheduler

    protected boolean isMonitorWorkManagerScheduler()

  Returns:
    boolean

### isWorkerTimerServiceScheduler

    protected boolean isWorkerTimerServiceScheduler()

  Returns:
    boolean

### isWorkerWorkManagerScheduler

    protected boolean isWorkerWorkManagerScheduler()

  Returns:
    boolean

### getMonitorScheduler

    protected java.lang.String getMonitorScheduler()

  Returns:
    String

### getWorkerScheduler

    protected java.lang.String getWorkerScheduler()

  Returns:
    String

### setMonitorScheduler

    protected void setMonitorScheduler(java.lang.String string)
                                throws TCPIPApplicationException

  Parameters:
    `string` - the valuue to set
  Throws:
    `TCPIPApplicationException` - on error.

### setWorkerScheduler

    protected void setWorkerScheduler(java.lang.String string)
                               throws TCPIPApplicationException

  Parameters:
    `string` - the value to set
  Throws:
    `TCPIPApplicationException` - on error.

### createMonitorSchedule

    protected Schedule createMonitorSchedule()

  Creates a Schedule instance for Monitor.

  Returns:
    Schedule instance for Monitor

### createWorkerSchedule

    protected Schedule createWorkerSchedule()

  Creates a Schedule instance for Worker.

  Returns:
    Schedule instance for Worker

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the scheduler configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

### getListenerScheduleInfo

    public TCPIPServerMonitorScheduleInfoInterface getListenerScheduleInfo()
                                                                    throws TCPIPApplicationException

  Specified by:
    `getListenerScheduleInfo` in interface `TCPIPServerScheduleInfoInterface`
  Returns:
    TCPIPServerMonitorScheduleInfoInterface
  Throws:
    `TCPIPApplicationException`

### getServiceScheduleInfo

    public TCPIPServerWorkerScheduleInfoInterface getServiceScheduleInfo()
                                                                  throws TCPIPApplicationException

  Specified by:
    `getServiceScheduleInfo` in interface `TCPIPServerScheduleInfoInterface`
  Returns:
    TCPIPServerWorkerScheduleInfoInterface
  Throws:
    `TCPIPApplicationException`

### setListenerScheduleInfo

    public void setListenerScheduleInfo(TCPIPServerMonitorScheduleInfo info)

  Parameters:
    `info` - the value to set

### setServiceScheduleInfo

    public void setServiceScheduleInfo(TCPIPServerWorkerScheduleInfo info)

  Parameters:
    `info` - the value to set

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD